Bug 203427 - CVE-2006-4226 mysql-server create database privilege escalation
CVE-2006-4226 mysql-server create database privilege escalation
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-21 16:42 EDT by Josh Bressers
Modified: 2013-07-02 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.27-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 21:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-21 16:42:11 EDT
+++ This bug was initially created as a clone of Bug #203426 +++

Mysql upstream found a bug in the way the mysql server handles database
permissions when the server is run on a case sensitive filesystem.

This could allow a user who has been granted certain rights to do unexpected
things, such as creating a new database.

The upstream bug has more information:

Note You need to log in before you can comment on or make changes to this bug.